OpenAPI SpecificationJSON
API Reference

Engine

Engine objects are AI models used for data extraction and document splitting. There are two types of engines:

  • extractor: Engine used for data extraction from documents
  • splitter: Engine used for splitting of documents

Engine

Attribute
Type
Description
id*
read-only
integer

Engine object ID.

url*
read-only
URL

Engine object URL.

name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled*
boolean

Whether is the engine learning from the attached queues.

Default: true
description*
string

Description of the engine.

Default: ""
agenda_id*
read-only
string

Unique identifier of the engine.

organization*
URL

Organization URL.

training_queues*
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"

List engines

GET api / v1 / engines

Retrieve all engine objects.

GET
/api/v1/engines
curl -X GET "https://example.rossum.app/api/v1/engines"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 3,
      "url": "https://example.rossum.app/api/v1/engines/8",
      "name": "Engine name",
      "type": "extractor",
      "learning_enabled": true,
      "description": "AI engine trained to recognize data for the specific data capture requirement",
      "agenda_id": "ross_a9d9vkl1",
      "organization": "https://example.rossum.app/api/v1/organizations/406",
      "training_queues": [
        "https://example.rossum.app/api/v1/queues/8199",
        "https://example.rossum.app/api/v1/queues/8236"
      ],
      "settings": {
        "use_case": "generic_ap"
      }
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
id*
read-only
integer

Engine object ID.

url*
read-only
URL

Engine object URL.

name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled*
boolean

Whether is the engine learning from the attached queues.

Default: true
description*
string

Description of the engine.

Default: ""
agenda_id*
read-only
string

Unique identifier of the engine.

organization*
URL

Organization URL.

training_queues*
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create engine

POST api / v1 / engines

Create a new engine object.

POST
/api/v1/engines
curl -X POST "https://example.rossum.app/api/v1/engines" \  -H "Content-Type: application/json" \  -d '{    "name": "Engine name",    "type": "extractor"  }'
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/engines/8",
  "name": "Engine name",
  "type": "extractor",
  "learning_enabled": true,
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "agenda_id": "ross_a9d9vkl1",
  "organization": "https://example.rossum.app/api/v1/organizations/406",
  "training_queues": [
    "https://example.rossum.app/api/v1/queues/8199",
    "https://example.rossum.app/api/v1/queues/8236"
  ],
  "settings": {
    "use_case": "generic_ap"
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled
boolean

Whether is the engine learning from the attached queues.

Default: true
description
string

Description of the engine.

Default: ""
organization
URL

Organization URL.

training_queues
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"

Response

201Created

Created

Attribute
Type
Description
id*
read-only
integer

Engine object ID.

url*
read-only
URL

Engine object URL.

name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled*
boolean

Whether is the engine learning from the attached queues.

Default: true
description*
string

Description of the engine.

Default: ""
agenda_id*
read-only
string

Unique identifier of the engine.

organization*
URL

Organization URL.

training_queues*
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve engine

GET api / v1 / engines / {engineID}

Retrieve an engine object.

GET
/api/v1/engines/{engineID}
curl -X GET "https://example.rossum.app/api/v1/engines/3"
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/engines/8",
  "name": "Engine name",
  "type": "extractor",
  "learning_enabled": true,
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "agenda_id": "ross_a9d9vkl1",
  "organization": "https://example.rossum.app/api/v1/organizations/406",
  "training_queues": [
    "https://example.rossum.app/api/v1/queues/8199",
    "https://example.rossum.app/api/v1/queues/8236"
  ],
  "settings": {
    "use_case": "generic_ap"
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

Engine object ID.

url*
read-only
URL

Engine object URL.

name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled*
boolean

Whether is the engine learning from the attached queues.

Default: true
description*
string

Description of the engine.

Default: ""
agenda_id*
read-only
string

Unique identifier of the engine.

organization*
URL

Organization URL.

training_queues*
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update engine

PATCH api / v1 / engines / {engineID}

Update part of an engine object.

PATCH
/api/v1/engines/{engineID}
curl -X PATCH "https://example.rossum.app/api/v1/engines/3" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/engines/8",
  "name": "Engine name",
  "type": "extractor",
  "learning_enabled": true,
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "agenda_id": "ross_a9d9vkl1",
  "organization": "https://example.rossum.app/api/v1/organizations/406",
  "training_queues": [
    "https://example.rossum.app/api/v1/queues/8199",
    "https://example.rossum.app/api/v1/queues/8236"
  ],
  "settings": {
    "use_case": "generic_ap"
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name
string

Name of the engine.

type
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled
boolean

Whether is the engine learning from the attached queues.

Default: true
description
string

Description of the engine.

Default: ""
organization
URL

Organization URL.

training_queues
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

Engine object ID.

url*
read-only
URL

Engine object URL.

name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled*
boolean

Whether is the engine learning from the attached queues.

Default: true
description*
string

Description of the engine.

Default: ""
agenda_id*
read-only
string

Unique identifier of the engine.

organization*
URL

Organization URL.

training_queues*
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Delete engine

DELETE api / v1 / engines / {engineID}

Delete engine object. Only engines without any attached queues can be deleted.

DELETE
/api/v1/engines/{engineID}
curl -X DELETE "https://example.rossum.app/api/v1/engines/3"
Empty
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

204No Content

No Content

No response body.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Update engine

PUT api / v1 / engines / {engineID}

Update engine object.

PUT
/api/v1/engines/{engineID}
curl -X PUT "https://example.rossum.app/api/v1/engines/3" \  -H "Content-Type: application/json" \  -d '{    "name": "Engine name",    "type": "extractor",    "organization": "https://example.rossum.app/api/v1/organizations/406"  }'
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/engines/8",
  "name": "Engine name",
  "type": "extractor",
  "learning_enabled": true,
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "agenda_id": "ross_a9d9vkl1",
  "organization": "https://example.rossum.app/api/v1/organizations/406",
  "training_queues": [
    "https://example.rossum.app/api/v1/queues/8199",
    "https://example.rossum.app/api/v1/queues/8236"
  ],
  "settings": {
    "use_case": "generic_ap"
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled
boolean

Whether is the engine learning from the attached queues.

Default: true
description
string

Description of the engine.

Default: ""
organization*
URL

Organization URL.

training_queues
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

Engine object ID.

url*
read-only
URL

Engine object URL.

name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled*
boolean

Whether is the engine learning from the attached queues.

Default: true
description*
string

Description of the engine.

Default: ""
agenda_id*
read-only
string

Unique identifier of the engine.

organization*
URL

Organization URL.

training_queues*
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Check engine template schema compatibility

POST api / v1 / engines / {engineID} / check_template_compatibility

This endpoint checks whether the schema on the queue of the template organization whose name is provided in the request body is compatible with this engine. See available templates in organization.

POST
/api/v1/engines/{engineID}/check_template_compatibility
curl -X POST "https://example.rossum.app/api/v1/engines/3/check_template_compatibility" \  -H "Content-Type: application/json" \  -d '{    "name": "EU Demo Template"  }'
{
  "compatible": true
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the template organization.

Response

200OK

OK

Attribute
Type
Description
compatible
boolean

Is the template schema compatible with this engine.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Duplicate engine

POST api / v1 / engines / {engineID} / duplicate

This endpoint duplicates an existing engine configuration. You must specify name for the new engine. All the other attributes (and also engine fields) would be duplicated (except for agenda_id which will be generated).

POST
/api/v1/engines/{engineID}/duplicate
curl -X POST "https://example.rossum.app/api/v1/engines/3/duplicate" \  -H "Content-Type: application/json" \  -d '{    "name": "Duplicated Engine"  }'
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/engines/8",
  "name": "Engine name",
  "type": "extractor",
  "learning_enabled": true,
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "agenda_id": "ross_a9d9vkl1",
  "organization": "https://example.rossum.app/api/v1/organizations/406",
  "training_queues": [
    "https://example.rossum.app/api/v1/queues/8199",
    "https://example.rossum.app/api/v1/queues/8236"
  ],
  "settings": {
    "use_case": "generic_ap"
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the duplicated engine.

Response

201Created

Created

Attribute
Type
Description
id*
read-only
integer

Engine object ID.

url*
read-only
URL

Engine object URL.

name*
string

Name of the engine.

type*
"extractor" | "splitter"

Type of the engine. Allowed values are:

  • extractor: Engine used for data extraction
  • splitter: Engine used for splitting of documents
learning_enabled*
boolean

Whether is the engine learning from the attached queues.

Default: true
description*
string

Description of the engine.

Default: ""
agenda_id*
read-only
string

Unique identifier of the engine.

organization*
URL

Organization URL.

training_queues*
array | null

Queues that are used for training the engine. Queues that become assigned to the engine are added to the list automatically.

settings
object

Engine settings.

Default: {}
use_case
"generic_ap" | "coupa_line_level" | "coupa_header_level"

Use case of the engine. Allowed values are:

  • generic_ap: Generic accounts payable
  • coupa_line_level: Coupa line level extraction
  • coupa_header_level: Coupa header level extraction
Default: "generic_ap"
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve engine queue statistics

GET api / v1 / engines / {engineID} / queue_stats

Get queue statistics for an engine. Related queues may be sideloaded.

GET
/api/v1/engines/{engineID}/queue_stats
curl -X GET "https://example.rossum.app/api/v1/engines/3/queue_stats"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "url": "https://example.rossum.app/api/v1/queues/8198",
      "number_of_used_engine_fields": 12,
      "prediction_queue": true,
      "training_queue": false
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[queue_stats]
url
URL

URL of the queue.

number_of_used_engine_fields
integer

Number of engine fields used in the queue schema overlapping with engine fields of given engine.

prediction_queue
boolean

Queue is using given engine for its predictions.

training_queue
boolean

Queue is used for training of the given engine.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error